Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587134 - mail-filter/mailfilter-0.8.2 : rfc822.yy:86:19: error: ‘param’ was not declared in this scope
Summary: mail-filter/mailfilter-0.8.2 : rfc822.yy:86:19: error: ‘param’ was not declar...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-26 12:32 UTC by Toralf Förster
Modified: 2019-03-26 20:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,533.76 KB, text/plain)
2016-06-26 12:32 UTC, Toralf Förster
Details
environment (environment,76.96 KB, text/plain)
2016-06-26 12:32 UTC, Toralf Förster
Details
mail-filter:mailfilter-0.8.2:20160626-120751.log (mail-filter:mailfilter-0.8.2:20160626-120751.log,14.29 KB, text/plain)
2016-06-26 12:32 UTC, Toralf Förster
Details
Fix for removed legacy FLEX_STD namespace define (0.8.5-fix-std-namespace.patch,1.22 KB, patch)
2016-08-11 09:31 UTC, Holger Hoffstätte
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-06-26 12:32:45 UTC
mv: cannot stat ‘y.tab.h’: No such file or directory
rfc822.yy: In function ‘int rfcparse()’:
rfc822.yy:86:19: error: ‘param’ was not declared in this scope
         ((Header*)param)->add_entry ($1, $2);
                   ^
flex -+ -i -Prfc -orfc822.cc rfc822.ll


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an stable amd64 chroot image (named amd64-plasma-stable_20160615-222937) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  make.conf: USE="pax_kernel xtpax -cdinstall -oci8 -bindist alsa apache cgi -cups designer eglfs evdev ffmpeg gnuplot graphtft gudev gui gzip hdf5 -icu introspection jpeg -libkms logrotate minizip -modplug mpeg mpi mssql multimedia mysqli openmpi postproc rendering scripts sddm semantic-desktop ssl sslv2 swscale system-harfbuzz system-sqlite thinkpad -ufed -uml usbredir v4l2 wav x264 xinerama xvmc zenmap egl"

  -----------------------------------------------------------------

Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-4.9.3, glibc-2.22-r4, 4.5.7-hardened-r3 x86_64)
=================================================================
System uname: Linux-4.5.7-hardened-r3-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16157888 total,   5026152 free
KiB Swap:   16777212 total,  16723524 free
Timestamp of repository gentoo: Sun, 26 Jun 2016 10:22:20 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /etc/stunnel/stunnel.conf /opt/openfire/resources/security/ /usr/lib64/fax /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb /var/spool/fax/etc /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/gamedata/ /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 apache berkdb bluetooth branding bzip2 cairo cdda cdr cgi cli consolekit cracklib crypt cxx dbus declarative designer dri dts dvd dvdr egl eglfs emboss encode evdev exif fam ffmpeg firefox flac fortran gdbm gif glamor gnuplot gpm graphtft gtk gudev gui gzip hdf5 iconv introspection ipv6 jpeg kde kipi lcms ldap libnotify logrotate mad minizip mmx mmxext mng modules mp3 mp4 mpeg mpi mssql multilib multimedia mysqli ncurses nls nptl ogg opengl openmp openmpi pam pango pax_kernel pcre pdf phonon plasma png policykit postproc ppds qml qt3support qt4 qt5 readline rendering scripts sddm sdl seccomp semantic-desktop session spell sse sse2 ssl sslv2 startup-notification svg swscale system-harfbuzz system-sqlite tcpd thinkpad tiff truetype udev udisks unicode upower usb usbredir v4l2 vorbis wav widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xtpax xv xvid xvmc zenmap zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-06-26 12:32:48 UTC
Created attachment 438844 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-06-26 12:32:51 UTC
Created attachment 438846 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-06-26 12:32:53 UTC
Created attachment 438848 [details]
mail-filter:mailfilter-0.8.2:20160626-120751.log
Comment 4 Felix Janda 2016-07-26 19:28:05 UTC
The workaround for bug 281069 was removed in the ebuild for version
0.8.4 leading to this bug.

A new version 0.8.5 was released, which fixes the parallel make issue.
Renaming the ebuild should work.
Comment 5 Holger Hoffstätte 2016-08-11 09:27:38 UTC
(In reply to Felix Janda from comment #4)
> A new version 0.8.5 was released, which fixes the parallel make issue.
> Renaming the ebuild should work.

It doesn't build with flex-2.6.1 (~arch) which has finally removed its legacy FLEX_STD C++ namespace definition, so rcfile.cc/rfc822.cc no longer compile. I'll attach a patch that works in my overlay.
Comment 6 Holger Hoffstätte 2016-08-11 09:31:34 UTC
Created attachment 443040 [details, diff]
Fix for removed legacy FLEX_STD namespace define

See GitHub commit: https://github.com/westes/flex/commit/004399be1262e92b8b38cbf9a4cb5ea7ea2217ad
Comment 7 Holger Hoffstätte 2016-11-23 12:57:36 UTC
(In reply to Holger Hoffstätte from comment #5)
> (In reply to Felix Janda from comment #4)
> > A new version 0.8.5 was released, which fixes the parallel make issue.
> > Renaming the ebuild should work.
> 
> It doesn't build with flex-2.6.1 (~arch) which has finally removed its
> legacy FLEX_STD C++ namespace definition, so rcfile.cc/rfc822.cc no longer
> compile. I'll attach a patch that works in my overlay.

This has now been fixed upstream:

mailfilter 0.8.6 (Tue Oct 25 20:18:55 CEST 2016)

  - Rebuilt the tarball, using more up to date versions of flex and
    bison.  It seems that older versions generated incompatible code
    (thanks to Elimar Riesebieter for helping me isolate this
    problem!)

[..]

Just tested & it finally builds cleanly.